net.sf.jasperreports.engine.base

## Class JRBaseGenericElement

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElement
  - - net.sf.jasperreports.engine.base.JRBaseGenericElement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRChild, JRCloneable, JRCommonElement, JRElement, JRGenericElement, JRIdentifiable, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class JRBaseGenericElement
      extends JRBaseElement
      implements JRGenericElement

  A read-only implementation of `JRGenericElement` that is included in compiled reports.
  Version:
    $Id: JRBaseGenericElement.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `backcolor, defaultStyleProvider, elementGroup, forecolor, height, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, key, modeValue, parentStyle, parentStyleNameReference, positionTypeValue, printWhenExpression, printWhenGroupChanges, PROPERTY_POSITION_TYPE, PROPERTY_PRINT_IN_FIRST_WHOLE_BAND, PROPERTY_PRINT_REPEATED_VALUES, PROPERTY_PRINT_WHEN_DETAIL_OVERFLOWS, PROPERTY_REMOVE_LINE_WHEN_BLANK, PROPERTY_STRETCH_TYPE, PROPERTY_WIDTH, PROPERTY_X, stretchTypeValue, uuid, width, x, y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBaseGenericElement(JRGenericElement element, JRBaseObjectFactory factory)` Creates a generic element by copying an existing element.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `java.lang.String` | `getEvaluationGroupName()` Returns the name of the evaluation group for this element.
    `EvaluationTimeEnum` | `getEvaluationTimeValue()` Returns the evaluation time of this element.
    `JRGenericElementType` | `getGenericType()` Returns the generic type of this element.
    `JRGenericElementParameter[]` | `getParameters()` Returns the list of parameters of this element.
    `void` | `visit(JRVisitor visitor)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElement

      `clone, clone, clone, getBackcolor, getBaseStyle, getDefaultStyleProvider, getElementGroup, getEventSupport, getForecolor, getHeight, getKey, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getStretchTypeValue, getStyle, getStyleNameReference, getUUID, getWidth, getX, getY, hasProperties, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setBackcolor, setForecolor, setMode, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElement

      `clone, getElementGroup, getKey, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setWidth, setX`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getHeight, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Constructor Detail

    - #### JRBaseGenericElement

          public JRBaseGenericElement(JRGenericElement element,
                              JRBaseObjectFactory factory)

      Creates a generic element by copying an existing element.
      Parameters:
        `element` - the element to copy
        `factory` - the object factory to be used for creating sub objects

  - ### Method Detail

    - #### getGenericType

          public JRGenericElementType getGenericType()

      Description copied from interface: `JRGenericElement`
      Returns the generic type of this element. This type will be propagated to the generated print element, and used to resolve export handler for the print element.
      Specified by:
        `getGenericType` in interface `JRGenericElement`
      Returns:
        the generic type of this element

    - #### getParameters

          public JRGenericElementParameter[] getParameters()

      Description copied from interface: `JRGenericElement`
      Returns the list of parameters of this element.
      Specified by:
        `getParameters` in interface `JRGenericElement`
      Returns:
        the list of parameters

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElement`

    - #### visit

          public void visit(JRVisitor visitor)

      Specified by:
        `visit` in interface `JRVisitable`

    - #### getEvaluationGroupName

          public java.lang.String getEvaluationGroupName()

      Description copied from interface: `JRGenericElement`
      Returns the name of the evaluation group for this element. The evaluation group is only present when `the evaluation time` is `EvaluationTimeEnum.GROUP`.
      Specified by:
        `getEvaluationGroupName` in interface `JRGenericElement`
      Returns:
        the name of the evaluation group for this element

    - #### getEvaluationTimeValue

          public EvaluationTimeEnum getEvaluationTimeValue()

      Description copied from interface: `JRGenericElement`
      Returns the evaluation time of this element.

      The evaluation time determines the moment at which parameter expressions are evaluated for this element. All parameters will be evaluated at the same moment.

      Specified by:
        `getEvaluationTimeValue` in interface `JRGenericElement`
      Returns:
        the evaluation time of this element

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com